apiVersion: v1
kind: Pod
metadata:
  name: pod-na-demo
  labels:
    app: hello-app
spec:
  containers:
  - name: hello-app
    image: gcriogooglesamples/hello-app:1.0
    ports:
    - name: http
      containerPort: 8080
  affinity:
    nodeAffinity:
      preferredDuringSchedulingIgnoredDuringExecution:
      - preference:
          matchExpressions:
          - key: zone
            operator: In
            values:
            - bar
        weight: 60
